VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "clsCursor"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

'--
'Author: Sam Huggill
'Date: 14/5/99
'Time: 17:33 GMT
'This class provides cursor functionality so we can set
'the cursor and not bother to reset it.
'Similar ideas by Chris Eastwood, Thierry Waty and Softcircuits
'--

Private m_lngPrevCursor As MousePointerConstants

Private Sub Class_Initialize()
    '--
    'Store the current mousepointer
    '--
    m_lngPrevCursor = Screen.MousePointer
End Sub

Private Sub Class_Terminate()
    ResetCursor
End Sub

Public Sub SetCursor(Optional lngNewCursor As MousePointerConstants = vbHourglass)
    '--
    'Apply the new cursor
    '--
    Screen.MousePointer = lngNewCursor
End Sub

Public Sub ResetCursor()
    '--
    'Reset the cursor to the one stored in Class_Initalize
    '--
    Screen.MousePointer = m_lngPrevCursor
End Sub
